| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OsfRec Class Reference

Class for containing data structure for Orbit Scenario File records. More...

List of all members.

## Public Member Functions
| OsfRec ()
| Empty constructor.
| OsfRec (const long absOrbi, const long relOrbi, const long cycleDay, const long cycleOrbit, const double meanlst, const double meanlstDrift, const double inclinat, const long driftMod, const double anxTaiTime, const double anxUt1Time, const double anxUtcTime, const double anxLongitude, const long cycleOsf, const long phaseOsf, const long timeRef, const MlstNonlinearDrift mlstNL)
| Constructor with parameters.
| ~OsfRec ()
| Destructor.
## Public Attributes
long | absOrbit
| Absolute orbit number.
long | relOrbit
| Relative orbit number.
long | cycleDays
long | cycleOrbits
double | mlst
| Mean local solar time (hours and fractions of hour).
double | mlstDrift
| Mean local solar time drift (secs per day).
double | inclination
| Inclination.
long | driftMode
| Inclination of mlstDrift.
double | anxTai
| ANX time in TAI format (MJD2000).
double | anxUt1
| ANX time in UT1 format (MJD2000).
double | anxUtc
| ANX time in UTC format (MJD2000).
double | anxLong
| ANX longitude (degrees).
long | cycle
long | phase
long | timeRefOf
| Reference time to be considered as original in recomputations.
MlstNonlinearDrift | mlstNonlinearDrift
| MLST non linear drift terms.

## Detailed Description

Class for containing data structure for Orbit Scenario File records.

## Constructor & Destructor Documentation

EECFI::OsfRec::OsfRec | ( |  | ) |

Empty constructor.

EECFI::OsfRec::OsfRec | ( | const long | absOrbi,
|  | const long | relOrbi,
|  | const long | cycleDay,
|  | const long | cycleOrbit,
|  | const double | meanlst,
|  | const double | meanlstDrift,
|  | const double | inclinat,
|  | const long | driftMod,
|  | const double | anxTaiTime,
|  | const double | anxUt1Time,
|  | const double | anxUtcTime,
|  | const double | anxLongitude,
|  | const long | cycleOsf,
|  | const long | phaseOsf,
|  | const long | timeRef,
|  | const MlstNonlinearDrift | mlstNL |
| ) |  |  |

Constructor with parameters.

References absOrbit, anxLong, anxTai, anxUt1, anxUtc, cycle, cycleDays, cycleOrbits, driftMode, inclination, mlst, mlstDrift, mlstNonlinearDrift, phase, relOrbit, and timeRefOf.

EECFI::OsfRec::~OsfRec | ( |  | ) |

Destructor.

## Member Data Documentation

long EECFI::OsfRec::absOrbit

Absolute orbit number.

Referenced by OsfRec().

double EECFI::OsfRec::anxLong

ANX longitude (degrees).

Referenced by OsfRec().

double EECFI::OsfRec::anxTai

ANX time in TAI format (MJD2000).

Referenced by OsfRec().

double EECFI::OsfRec::anxUt1

ANX time in UT1 format (MJD2000).

Referenced by OsfRec().

double EECFI::OsfRec::anxUtc

ANX time in UTC format (MJD2000).

Referenced by OsfRec().

long EECFI::OsfRec::cycle

Referenced by OsfRec().

long EECFI::OsfRec::cycleDays

Referenced by OsfRec().

long EECFI::OsfRec::cycleOrbits

Referenced by OsfRec().

long EECFI::OsfRec::driftMode

Inclination of mlstDrift.

Referenced by OsfRec().

double EECFI::OsfRec::inclination

Inclination.

Referenced by OsfRec().

double EECFI::OsfRec::mlst

Mean local solar time (hours and fractions of hour).

Referenced by OsfRec().

double EECFI::OsfRec::mlstDrift

Mean local solar time drift (secs per day).

Referenced by OsfRec().

MlstNonlinearDrift EECFI::OsfRec::mlstNonlinearDrift

MLST non linear drift terms.

Referenced by OsfRec().

long EECFI::OsfRec::phase

Referenced by OsfRec().

long EECFI::OsfRec::relOrbit

Relative orbit number.

Referenced by OsfRec().

long EECFI::OsfRec::timeRefOf

Reference time to be considered as original in recomputations.

Referenced by OsfRec().